#
# Conditional build:
%bcond_without  python2         # Python 2.x module
%bcond_without  python3         # Python 3.x module
%bcond_with	tests	# run tests (seem broken)

%define 	module	pymongo
Summary:	Python driver for MongoDB
Summary(pl.UTF-8):	Sterownik Pythona do MongoDB
Name:		python-%{module}
Version:	3.7.1
Release:	2
License:	Apache v2.0
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/p/pymongo/pymongo-%{version}.tar.gz
# Source0-md5:	7449c81a6c32c3c8cb9bebebc848fded
URL:		https://api.mongodb.com/python/current/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-2to3 >= 1:3.2
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-bson = %{version}-%{release}
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PyMongo distribution contains tools for interacting with MongoDB
database from Python.

%description -l pl.UTF-8
Dystrybucja PyMongo zawiera narzędzia do współpracy z bazą danych
MongoDB z poziomu Pythona.

%package -n python-bson
Summary:	Python bson library
Group:		Development/Languages/Python
Conflicts:	python-pymongo < 3.7.1

%description -n python-bson
BSON is a binary-encoded serialization of JSON-like documents. BSON is
designed to be lightweight, traversable, and efficient. BSON, like
JSON, supports the embedding of objects and arrays within other
objects and arrays.

%package -n python-gridfs
Summary:	Python GridFS driver for MongoDB
Requires:	python-pymongo = %{version}-%{release}
Conflicts:	python-pymongo < 3.7.1

%description -n python-gridfs
GridFS is a storage specification for large objects in MongoDB.

%package -n python3-%{module}
Summary:	Python driver for MongoDB
Summary(pl.UTF-8):	Sterownik Pythona do MongoDB
Group:		Development/Languages/Python
Requires:	python3-bson = %{version}-%{release}
Requires:	python3-modules
Conflicts:	python3-pymongo < 3.7.1

%package -n python3-bson
Summary:	Python bson library
Group:		Development/Languages/Python
Conflicts:	python3-pymongo < 3.7.1

%description -n python3-bson
BSON is a binary-encoded serialization of JSON-like documents. BSON is
designed to be lightweight, traversable, and efficient. BSON, like
JSON, supports the embedding of objects and arrays within other
objects and arrays. This package contains the python3 version of this
module.

%package -n python3-gridfs
Summary:	Python GridFS driver for MongoDB
Requires:	python-pymongo = %{version}-%{release}

%description -n python3-gridfs
GridFS is a storage specification for large objects in MongoDB. This
package contains the python3 version of this module.

%description -n python3-%{module}
The PyMongo distribution contains tools for interacting with MongoDB
database from Python.

%description -n python3-%{module} -l pl.UTF-8
Dystrybucja PyMongo zawiera narzędzia do współpracy z bazą danych
MongoDB z poziomu Pythona.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst doc/api doc/examples doc/*.rst
%dir %{py_sitedir}/pymongo
%{py_sitedir}/pymongo/*.py[co]
%attr(755,root,root) %{py_sitedir}/pymongo/_cmessage.so
%{py_sitedir}/pymongo-%{version}-py*.egg-info

%files -n python-bson
%defattr(644,root,root,755)
%dir %{py_sitedir}/bson
%{py_sitedir}/bson/*.py[co]
%attr(755,root,root) %{py_sitedir}/bson/_cbson.so

%files -n python-gridfs
%defattr(644,root,root,755)
%dir %{py_sitedir}/gridfs
%{py_sitedir}/gridfs/*.py[co]
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst doc/api doc/examples doc/*.rst
%dir %{py3_sitedir}/pymongo
%{py3_sitedir}/pymongo/*.py
%{py3_sitedir}/pymongo/__pycache__
%attr(755,root,root) %{py3_sitedir}/pymongo/_cmessage.*.so
%{py3_sitedir}/pymongo-%{version}-py*.egg-info

%files -n python3-bson
%defattr(644,root,root,755)
%dir %{py3_sitedir}/bson
%{py3_sitedir}/bson/*.py
%{py3_sitedir}/bson/__pycache__
%attr(755,root,root) %{py3_sitedir}/bson/_cbson.*.so

%files -n python3-gridfs
%defattr(644,root,root,755)
%dir %{py3_sitedir}/gridfs
%{py3_sitedir}/gridfs/*.py
%{py3_sitedir}/gridfs/__pycache__
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pymongo.git;a=log;h=auto/th/python-pymongo-3.7.1-2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3ca48c5
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Sep 07 2018 Elan Ruusamäe <glen@pld-linux.org> bc7e10f
- conflicts before package split

* Fri Sep 07 2018 Elan Ruusamäe <glen@pld-linux.org> 5e89129
- up to 3.7.1; add bson, gridfs packages

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e084dd4
- release 6 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f419865
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a5c1d56
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f3c4173
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8646500
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d12bb9
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 425b3a3
- python 3.4
- release 2 (by relup.sh)

* Mon Jul 07 2014 Jakub Bogusz <qboosh@pld-linux.org> c93f6cb
- python epochs

* Fri Jul 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 8b909a8
- python versions (2.4 is upstream minimum, 3.2 minimum python3 supported by our build system)

* Fri Jul 04 2014 Mariusz Mazur <mmazur@axeos.com> e008cdf
- Up to 2.7.1

* Tue Oct 29 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 5b0859e
- Python3 support added

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 2557cd0
- updated to 2.6.3

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 66822bb
- updated to 2.6.2

* Tue Jun 04 2013 Jakub Bogusz <qboosh@pld-linux.org> ab0dd12
- pl, updated to 2.5.2

* Fri Nov 30 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 02b256c
- Version: 2.4

* Tue Oct 09 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> fd659ce
- Version: 2.3

* Tue Aug 14 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> b0b8a32
- Version: 2.2.1

